@import "_variables.sass";

html {
    height: 100%;
}

html,
body {
    padding: 0 0 1px 0;
    box-sizing: border-box;
    min-height: 100%;

    > #index {
        background-image: url(/assets/images/grass.png);
    }

    > #admin-index {
        background-image: url(/assets/images/adminbg.png);
    }
}

* {
    box-sizing: inherit;
}

[role="doc-subtitle"] {
    font-style: italic;
    font-size: 1.25em;
}

footer > .box {
    padding: 0;
    display: block;

    a {
        padding: 0.5rem 1.25rem;
        border-radius: 6px;

        &:hover {
            text-decoration: underline;
        }
    }
}

.displaynone{
    display: none;
}

.parkstats {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 15fr));
    column-gap: 1.5em;
    row-gap: 0.5em;
    align-items: center;

    > div span.property {
        font-weight: bold;
    }
}

.sendform {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 0.5em;
}

.align-right.align-right.align-right {
    text-align: right;
}

.align-center.align-center.align-center {
    text-align: center;
}

.table{
    th, td {
        word-break: keep-all;
    }
}

.horizontal-sb {
    overflow-x: auto;
    max-width: 100%;
}

.fileupload {
    padding: 1.25em 0 1.25em 0;
    display: grid;
    grid-template-columns: 1fr auto auto auto;
    column-gap: .5em;

    label{
        overflow: hidden;
    }

    input[type="file"] {
        position: fixed;
        top: -100em;
    }
}
